


PRECLNTSAVE(8)                                     PRECLNTSAVE(8)


NNAAMMEE
       preclntsave - Child process to run pre-processing commands
       for Networker savepnpc.

SSYYNNOOPPSSIISS
       pprreeccllnnttssaavvee _-_s _s_e_r_v_e_r _-_c _c_l_i_e_n_t _-_g _g_r_o_u_p [-D debuglevel]

DDEESSCCRRIIPPTTIIOONN
       The pprreeccllnnttssaavvee process checks  to  see  if  there  is  an
       existing /nsr/res/<grpname>.tmp file, which indicates that
       the pre-processing commands had been run.  If so, it  just
       simply exits with status 0 to let savepnpc resume its nor-
       mal save task.  Otherwise,  it  locks  the  /nsr/res/<grp-
       name>.grp  file,  invokes  all the pre-processing commands
       specified in the /nsr/res/<grpname>.res file, then creates
       /nsr/res/<grpname>.tmp   file,  finally  spawns  the  pst-
       clntsave process and exits with status 0.

       NNoottee:: This is to be invoked by savepnpc program  only.  It
       is not meant for users to use.

OOPPTTIIOONNSS
       --ss _s_e_r_v_e_r
              Specify the controlling server.

       --cc _c_l_i_e_n_t
              The  name  of  the  client where the pre-processing
              commands will be performed on.

       --gg _g_r_o_u_p
              Specify the group name that is being run.

       --DD _d_e_b_u_g_l_e_v_e_l
              For debugging purpose, the debuglevel could be 1, 2
              or 3.

SSEEEE AALLSSOO
       ssaavveeppnnppcc(8), ppssttccllnnttssaavvee(8), ssaavvee(8)



















NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1


